local SideBarPrivilegeCell = class("SideBarPrivilegeCell", SideBarBaseCell)

function SideBarPrivilegeCell:getModuleKey()
    return ModuleManager.MODULE_KEY.CARD_MONTHLY
end

function SideBarPrivilegeCell:getIsOpen()
    return DataManager.PrivilegeCardData:getIsOpen()
end

function SideBarPrivilegeCell:getSpineName()
    return "ui_main_btn_act_vip"
end

function SideBarPrivilegeCell:onClick()
    ModuleManager.PrivilegeCardManager:showPrivilegeUI()
end

function SideBarPrivilegeCell:getIsShowRedPoint()
    return DataManager.PrivilegeCardData:getRedPoint()
end

function SideBarPrivilegeCell:getCellName()
    return I18N:getGlobalText(I18N.GlobalConst.MONTHLY_CARD_5)
end

return SideBarPrivilegeCell